> For the complete documentation index, see [llms.txt](https://docs.miltechsimulations.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.miltechsimulations.com/miltech-mission-hub/developer-sdk/advanced-map-objects/custom-image.md).

# Custom Image

You can display images as a popup during a mission. The simulation will pause when the image is on screen. To add an image to the simulator, you can use a [Mission Package](/miltech-mission-hub/developer-sdk/mission-package.md).

### Attributes

<table data-header-hidden data-full-width="false"><thead><tr><th width="109.99993896484375">Attribute</th><th>Description</th></tr></thead><tbody><tr><td><strong>Image Path</strong></td><td>Path relative to the html_ui folder (e.g. /Textures/Menu/rewardscreen/freeFlightReward.jpg) or from a URL</td></tr><tr><td><strong>Display Duration</strong></td><td>Amount of seconds after which to hide the image. If set to 0, the image stays on screen until the player hides it.</td></tr></tbody></table>

### Actions

<table data-header-hidden><thead><tr><th width="110">Action</th><th>Description</th></tr></thead><tbody><tr><td><strong>Show Image</strong></td><td>Show the image on screen. The simulation gets paused.</td></tr><tr><td><strong>Hide Image</strong></td><td>Hide the image. The simulation gets resumed</td></tr></tbody></table>

### Events

**Custom Image** doesn't have any events.

## See also

* You need to add images to the [Mission Package](/miltech-mission-hub/developer-sdk/mission-package.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.miltechsimulations.com/miltech-mission-hub/developer-sdk/advanced-map-objects/custom-image.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
